<div class="col-md-6 col-lg-4 col-xl-3 d-flex align-items-stretch justify-content-center mb-4">
    <article class="card shadow">
        <div class="card-header text-light">
            <div class="row">
                <div class="col-md-10 d-flex align-items-center">
                    <a href="{{ path('movie_details', {'id':movie.id}) }}" class="text-truncate text-light font-weight-bold">{{ movie.title }}</a>
                </div>
                <div class="col-md-2 d-flex align-items-center justify-content-center">
                    <span class="fas fa-star mr-3 follow-link {% if movie.fav is defined %} favorite {% endif %}" data-id="{{movie.id}}"
                        data-toggle="tooltip" 
                        data-original-title="Favori"></span>
                </div>
            </div>
        </div>

        <a class="flip-card" href="{{ path('movie_details', {'id':movie.id}) }}">
            <div class="flip-card-inner">
                <div class="to-flip">
                    <img src="{{ (movie.poster_path|displayTmdbImage('w300')) }}">
                </div>
                <div class="flip-card-back">
                    <p>
                        {{ movie.overview|slice(0, 150) ~ '...' }}
                    </p>
                    <span class="fas fa-search"></span>
                </div>
            </div>
        </a>
        <div class="card-footer py-1">
        </div>
    </article>
</div>

{% block javascripts %}
    <script>
        $(document).ready(function() {
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
{% endblock %}

